function name = zname()
% ZNAME gets the name of the lens in ZEMAX
% function name = zname()
% INPUT:    n/a
% OUTPUT:   name = lens name (string)

name = zreq('GetName');

% Copyright  2005 United States Government as represented by the Administrator 
% of the National Aeronautics and Space Administration.  No copyright is claimed 
% in the United States under Title 17, U.S. Code. All Other Rights Reserved.
% 
% Author: Joseph M. Howard, NASA
% Revision Date: 2007.08.22     