% ZOFF kills the DDE link between Matlab and ZEMAX
% Clears the global workspace variables: zemax, DDE handle to Zemax

if exist('zemax','var')==1, % check if variable in workspace
    rc = ddeterm(zemax); %close DDE channel
    if rc==1, disp('ZEMAX link killed.'), clear zemax,
    else disp('Termination order failed.')
    end
    clear rc 
end
clear global zemax

% Copyright  2005 United States Government as represented by the Administrator 
% of the National Aeronautics and Space Administration.  No copyright is claimed 
% in the United States under Title 17, U.S. Code. All Other Rights Reserved.
% 
% Author: Joseph M. Howard, NASA
% Revision Date: 2007.08.22     