% ZON establishes the DDE link between Matlab and ZEMAX
% Generates the global workspace variable 'zemax' (DDE handle to ZEMAX)

if exist('zemax','var')~=1, %check if variable in workspace
    global zemax
    zemax = ddeinit('ZEMAX','Engine'); %open DDE channel
    if zemax, disp('ZEMAX DDE link established.'); end
else
    disp('ZEMAX link appears to be running.')
end

% Copyright  2005 United States Government as represented by the Administrator 
% of the National Aeronautics and Space Administration.  No copyright is claimed 
% in the United States under Title 17, U.S. Code. All Other Rights Reserved.
% 
% Author: Joseph M. Howard, NASA
% Revision Date: 2007.08.22     