function out = zpull()
% ZPULL "pulls" or copies the lens on ZEMAX LDE to the DDE server
% function out = zpull()
% INPUT:    n/a
% OUTPUT:   out = 0 if success, -1 if failure

out = zreq('GetRefresh');

if out==-1, disp('Failure to Refresh Server lens from Zemax!'); end

% Copyright  2005 United States Government as represented by the Administrator 
% of the National Aeronautics and Space Administration.  No copyright is claimed 
% in the United States under Title 17, U.S. Code. All Other Rights Reserved.
% 
% Author: Joseph M. Howard, NASA
% Revision Date: 2007.08.22     