function out = zup()
% ZUP updates the ZEMAX lens
% function out = zup()
% INPUT:    n/a
% OUTPUT:   out = 0 if success, -1 if failure

out = zreq('GetUpdate');

if out==-1, disp('Failure to Update lens into ZEMAX!'); end

% Copyright  2005 United States Government as represented by the Administrator 
% of the National Aeronautics and Space Administration.  No copyright is claimed 
% in the United States under Title 17, U.S. Code. All Other Rights Reserved.
% 
% Author: Joseph M. Howard, NASA
% Revision Date: 2007.08.22     