% ZEMAX toolkit
%
% Files
%   zc       - gets and sets current configuration in ZEMAX
%   zcomment - gets surface comments from ZEMAX
%   zdir     - displays directory of ZEMAX toolkit
%   zf       - gets current field points and sets new field points in ZEMAX 
%   zgc      - gets global coordinate matrix data for surfaces in ZEMAX
%   zims     - returns image surface number in ZEMAX
%   zlabel   - gets labels of surfaces in ZEMAX
%   zlicense - shows the GNU GENERAL PUBLIC LICENSE
%   zname    - gets the name of the lens in ZEMAX
%   zoff     - kills the DDE link between Matlab and ZEMAX
%   zon      - establishes the DDE link between Matlab and ZEMAX
%   zopd     - gets opd data from ZEMAX
%   zopen    - loads a new lens in ZEMAX
%   zpull    - "pulls" or copies the lens on ZEMAX LDE to the DDE server
%   zpush    - "pushes" the DDE server lens into the ZEMAX LDE "front end"
%   zray     - gets raytrace data from ZEMAX
%   zreadme  - gives a basic introduction to the Matlab ZEMAX toolkit
%   zreq     - requests a general command to ZEMAX
%   zroot    - changes current directory in MATLAB to ZEMAX toolkit directory
%   zs       - gets surface data in ZEMAX
%   zsys     - gets system data from ZEMAX
%   zup      - updates the ZEMAX lens
%   zw       - gets current wavelengths and weights and sets new ones in ZEMAX 
