function ims = zims()
% ZIMS returns image surface number in ZEMAX
% function ims = zims()
% INPUT:    n/a
% OUTPUT:   image surface number (i.e. number of surfaces)
% 
% see also ZSYSTEM

ims = zsys;

% Copyright  2005 United States Government as represented by the Administrator 
% of the National Aeronautics and Space Administration.  No copyright is claimed 
% in the United States under Title 17, U.S. Code. All Other Rights Reserved.
% 
% Author: Joseph M. Howard, NASA
% Revision Date: 2007.08.22     